#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 41. Other X-based Programs

- Prev

  Gparted-1.8.1

- Next

  rxvt-unicode-9.31

- Up
- Home

# Inkscape-1.4.3

## Introduction to Inkscape

Inkscape is a what you see is what you get Scalable Vector Graphics editor. It is useful for creating, viewing and changing SVG images.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://inkscape.org/gallery/item/58914/inkscape-1.4.3.tar.xz

- Download MD5 sum: 51779347adc1e9dafa3ab1f4d79aca13

- Download size: 51 MB

- Estimated disk space required: 809 MB (210 MB installed)

- Estimated build time: 2.2 SBU (with parallelism=8)

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/inkscape-1.4.3-poppler-26_fixes-2.patch

### Note

The tarball `inkscape-1.4.3.tar.xz` will extract to the directory `inkscape-1.4.3_2025-12-25_0d15f75042/`.

### Inkscape Dependencies

#### Required

Boost-1.90.0, double-conversion-3.4.0, GC-8.2.12, gsl-2.8, Gtkmm-3.24.10, libxslt-1.1.45, Poppler-26.04.0, and popt-1.19

#### Recommended

ImageMagick-7.1.2-13 (runtime), Little CMS-2.19, libcanberra-0.30 (to eliminate plugin warnings), Potrace-1.16 (for the bucket-fill tool), also various Python modules at runtime for the core extensions: cachecontrol-0.14.4, cssselect-1.4.0, lxml-6.1.0, NumPy-2.4.4, pySerial-3.5, and Scour-0.38.2

#### Optional

Aspell-0.60.8.2, dbus-1.16.2 (to run inkscape from scripts), Doxygen-1.17.0, gspell-1.14.3, GraphicsMagick, libcdr, libvisio, libwpg (or libwpd)

## Installation of Inkscape

First, fix build failures that appeared beginning with poppler-26.01.0:

    patch -Np1 -i ../inkscape-1.4.3-poppler-26_fixes-2.patch

Install Inkscape by running the following commands:

    mkdir build                        &&
    cd    build                        &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D WITH_INTERNAL_2GEOM=ON    \
          -W no-dev                    \
          ..                           &&
    make

This package does not come with a working test suite.

Now, as the `root` user:

    make install

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK-3.24.52 installed (for the icon cache) and desktop-file-utils-0.28 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to build the release library without any debug `assert` in the code.

`-D WITH_INTERNAL_2GEOM=ON`: This switch is useless for the first build of Inkscape, but it prevents linking to the previously installed `lib2geom.so` library when upgrading Inkscape.

`-W no-dev`: This parameter silences several warnings only intended for project developers.

`-D WITH_DBUS=ON`: use this if you wish to use inkscape in interactive scripts which manipulate images.

## Contents

Installed Programs: inkscape and inkview
Installed Library: lib2geom.so and libinkscape_base.so (in /usr/lib/inkscape)
Installed Directories: /usr/include/2geom-1.4.0, /usr/lib/inkscape, and /usr/share/inkscape

### Short Descriptions

inkscape | is a SVG (Scalable Vector Graphics) editing program
inkview | is a simple program for displaying SVG files
`libinkscape_base.so` | provides the routines used by inkscape and inkview
`lib2geom.so` | is a C++ 2D geometry library for vector graphics

- Prev

  Gparted-1.8.1

- Next

  rxvt-unicode-9.31

- Up
- Home